Skip to main content
GET
Get Knowledge Base Document

Authorizations

x-api-key
string
header
required

API key for programmatic access

Path Parameters

document_id
string
required

Response

Successful Response

Knowledge base document response for URL type

id
string
required

Document ID

name
string
required

Document name

metadata
KnowledgeBaseDocumentMetadataResponseModel · object
required

Document metadata

access_info
ResourceAccessInfo · object
required

Access information for the requesting user

url
string
required

The source URL

extracted_inner_html
string
required

The extracted content from the URL

supported_usages
enum<string>[]

Supported usage modes for this document

How the document is used in agent context.

  • prompt: Always include full document in LLM context
  • auto: Use RAG to retrieve relevant chunks
Available options:
prompt,
auto
folder_parent_id
string | null

The ID of the parent folder, or null if the document is at the root level.

folder_path
KnowledgeBaseFolderPathSegmentResponseModel · object[]

The folder path segments leading to this entity, from root to parent folder.

type
string
default:url

Document type discriminator

Allowed value: "url"